Bug 1843119 - libzypp-17.23.5-1.fc33 FTBFS: RpmPkgSigCheck_test: "unsigned_broken_pkg": check xpct == cs has failed
Summary: libzypp-17.23.5-1.fc33 FTBFS: RpmPkgSigCheck_test: "unsigned_broken_pkg": che...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libzypp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS F33FailsToInstall 1825140
TreeView+ depends on / blocked
 
Reported: 2020-06-02 17:42 UTC by Igor Raits
Modified: 2020-08-09 02:07 UTC (History)
3 users (show)

Fixed In Version: libzypp-17.24.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-09 02:07:06 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2020-06-02 17:42:18 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (libzypp) Fails To Install in Fedora 33:

can't install libzypp:
  - nothing provides libboost_thread.so.1.69.0()(64bit) needed by libzypp-17.23.2-1.fc33.x86_64
  
If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Igor Raits 2020-06-11 05:42:36 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Petr Pisar 2020-06-30 13:21:27 UTC
This packages cannot be rebuilt, because libzypp-17.23.5-1.fc33 fails a test:

+ ctest -VV --output-on-failure .
UpdateCTestConfiguration  from :/builddir/build/BUILD/libzypp-17.23.5/x86_64-redhat-linux-gnu/tests/DartConfiguration.tcl
[...]
      Start 39: RpmPkgSigCheck_test
39: Test command: /builddir/build/BUILD/libzypp-17.23.5/x86_64-redhat-linux-gnu/tests/zypp/RpmPkgSigCheck_test "--catch_system_errors=no"
39: Test timeout computed to be: 10000000
39: Running 11 test cases...
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(140): [1;31;49merror: in "unsigned_broken_pkg": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != cebe1e7d39b4356639a0779aa23f6e27) != R: [2-Signature does not verify]
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != cebe1e7d39b4356639a0779aa23f6e27)][0;39;49m
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(157): [1;31;49merror: in "unsigned_broken_header_pkg": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected d6768447e13388b0c35fb151ebfa8f6646a115e9 != dd761ace671a5eb2669b269faf22a3cd72792138)
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected 2ce9f41bc0de68b4cb1aa1e18c1bea43dfaa01299ae61ef3e4466df332c792e5 != 4a9410db7131cead773afe1876f2490023ccc7dc47cbba47807430c53ea9649d)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != 9afd6b52896d23910280ddded1921071) != R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected 2ce9f41bc0de68b4cb1aa1e18c1bea43dfaa01299ae61ef3e4466df332c792e5 != 4a9410db7131cead773afe1876f2490023ccc7dc47cbba47807430c53ea9649d)
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected d6768447e13388b0c35fb151ebfa8f6646a115e9 != dd761ace671a5eb2669b269faf22a3cd72792138)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != 9afd6b52896d23910280ddded1921071)][0;39;49m
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(197): [1;31;49merror: in "signed_broken_pkg_nokey": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [4-Signatures public key is not available] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
39:    [4-Signatures public key is not available] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)][0;39;49m
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(217): [1;31;49merror: in "signed_broken_header_pkg_nokey": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)][0;39;49m
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(268): [1;31;49merror: in "signed_broken_pkg_withkey": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [0-Signature is OK] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
39:    [0-Signature is OK] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
39:    [0-Signature is OK] |     Header SHA256 digest: OK
39:    [0-Signature is OK] |     Header SHA1 digest: OK
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)][0;39;49m
39: /builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(288): [1;31;49merror: in "signed_broken_header_pkg_withkey": check xpct == cs has failed [R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
39:    [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
39:    [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
39:    [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
39:    [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
39:    [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
39:    [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)][0;39;49m
39: 
39: [1;31;49m*** 6 failures are detected in the test module "Master Test Suite"
39: [0;39;49m
39/85 Test #39: RpmPkgSigCheck_test ..............***Failed    0.09 sec
Running 11 test cases...
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(140): [1;31;49merror: in "unsigned_broken_pkg": check xpct == cs has failed [R: [2-Signature does not verify]
   [0-Signature is OK] |     Header SHA1 digest: OK
   [0-Signature is OK] |     Header SHA256 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != cebe1e7d39b4356639a0779aa23f6e27) != R: [2-Signature does not verify]
   [0-Signature is OK] |     Header SHA256 digest: OK
   [0-Signature is OK] |     Header SHA1 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != cebe1e7d39b4356639a0779aa23f6e27)][0;39;49m
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(157): [1;31;49merror: in "unsigned_broken_header_pkg": check xpct == cs has failed [R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected d6768447e13388b0c35fb151ebfa8f6646a115e9 != dd761ace671a5eb2669b269faf22a3cd72792138)
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected 2ce9f41bc0de68b4cb1aa1e18c1bea43dfaa01299ae61ef3e4466df332c792e5 != 4a9410db7131cead773afe1876f2490023ccc7dc47cbba47807430c53ea9649d)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != 9afd6b52896d23910280ddded1921071) != R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected 2ce9f41bc0de68b4cb1aa1e18c1bea43dfaa01299ae61ef3e4466df332c792e5 != 4a9410db7131cead773afe1876f2490023ccc7dc47cbba47807430c53ea9649d)
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected d6768447e13388b0c35fb151ebfa8f6646a115e9 != dd761ace671a5eb2669b269faf22a3cd72792138)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     MD5 digest: BAD (Expected e3f474f75d2d2b267da4ff80fc071dd7 != 9afd6b52896d23910280ddded1921071)][0;39;49m
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(197): [1;31;49merror: in "signed_broken_pkg_nokey": check xpct == cs has failed [R: [2-Signature does not verify]
   [4-Signatures public key is not available] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
   [0-Signature is OK] |     Header SHA1 digest: OK
   [0-Signature is OK] |     Header SHA256 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
   [4-Signatures public key is not available] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
   [0-Signature is OK] |     Header SHA256 digest: OK
   [0-Signature is OK] |     Header SHA1 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)][0;39;49m
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(217): [1;31;49merror: in "signed_broken_header_pkg_nokey": check xpct == cs has failed [R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)][0;39;49m
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(268): [1;31;49merror: in "signed_broken_pkg_withkey": check xpct == cs has failed [R: [2-Signature does not verify]
   [0-Signature is OK] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
   [0-Signature is OK] |     Header SHA1 digest: OK
   [0-Signature is OK] |     Header SHA256 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
   [0-Signature is OK] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
   [0-Signature is OK] |     Header SHA256 digest: OK
   [0-Signature is OK] |     Header SHA1 digest: OK
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 442a473472708c39f3ac2b5eb38b476f)][0;39;49m
/builddir/build/BUILD/libzypp-17.23.5/tests/zypp/RpmPkgSigCheck_test.cc(288): [1;31;49merror: in "signed_broken_header_pkg_withkey": check xpct == cs has failed [R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD != R: [2-Signature does not verify]
   [2-Signature does not verify] |     Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     Header SHA256 digest: BAD (Expected e88100656c8e06b6e4bb9155f0dd111ef8042866941f02b623cb46e12a82f732 != 76b343bcb9b8aaf9998fdcf7392e234944a0b078c67667fa0d658208b9a66983)
   [2-Signature does not verify] |     Header SHA1 digest: BAD (Expected 9ca2e3aec038e562d33442271ee52c08ded0d637 != 95286fd653f927df0a42746e310861d3f89bb75c)
   [2-Signature does not verify] |     Payload SHA256 digest: BAD (Expected 6632dfb6e78fd3346baa860da339acdedf6f019fb1b5448ba1baa6cef67de795 != 85156c232f4c76273bbbb134d8d869e93bbfc845dd0d79016856e5356dd33727)
   [5-File does not exist or signature can't be checked] |     Payload SHA256 ALT digest: NOTFOUND
   [2-Signature does not verify] |     V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
   [2-Signature does not verify] |     MD5 digest: BAD (Expected 8e64684e4d5bd90c3c13f76ecbda9ee2 != 81df819a7d94638ff3ffe0bb93a7d177)][0;39;49m
[1;31;49m*** 6 failures are detected in the test module "Master Test Suite"
[0;39;49m
[...]
99% tests passed, 1 tests failed out of 85
Total Test time (real) = 121.39 sec
The following tests FAILED:
	 39 - RpmPkgSigCheck_test (Failed)
Errors while running CTest

Comment 3 Igor Raits 2020-07-02 06:50:11 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Neal Gompa 2020-07-12 14:10:56 UTC
Working on this...

Comment 5 Neal Gompa 2020-08-09 02:07:06 UTC
Fixed and released to rawhide...


Note You need to log in before you can comment on or make changes to this bug.